package com.sheep.gamegroup.model.entity;


import com.lqr.emoji.EmotionLayout;

/**
 * Created by realicing on 2018/11/2.
 * realicing@sina.com
 * update_time:	integer ($int64)
 * reply:	string
 * 回复内容
 * nickname:	string
 * 昵称
 * user_id:	integer ($int64)
 * 用户id
 * user_comment_id:	integer ($int64)
 * 评论id
 * create_time:	integer ($int64)
 * status:	integer ($int32)
 * 审核状态 1：通过 2：未通过
 * like:	integer ($int64)
 * 点赞数
 * content:	string
 * 评论内容
 * avatar:	string
 * 头像
 * id:	integer ($int64)
 * <p>
 * description:用户评论信息
 */
public class UserCommentReply {
    private int id;

    private int user_comment_id;

    private int user_id;

    private String nickname;

    private String avatar;

    private int like;

    private int status;

    private String content;

    private String reply;

    private int create_time;

    private int update_time;

    public void setId(int id){
        this.id = id;
    }
    public int getId(){
        return this.id;
    }
    public void setUser_comment_id(int user_comment_id){
        this.user_comment_id = user_comment_id;
    }
    public int getUser_comment_id(){
        return this.user_comment_id;
    }
    public void setUser_id(int user_id){
        this.user_id = user_id;
    }
    public int getUser_id(){
        return this.user_id;
    }
    public void setNickname(String nickname){
        this.nickname = nickname;
    }
    public String getNickname(){
        return this.nickname;
    }
    public void setAvatar(String avatar){
        this.avatar = avatar;
    }
    public String getAvatar(){
        return this.avatar;
    }
    public void setLike(int like){
        this.like = like;
    }
    public int getLike(){
        return this.like;
    }
    public void setStatus(int status){
        this.status = status;
    }
    public int getStatus(){
        return this.status;
    }
    public void setContent(String content){
        this.content = content;
    }
    public String getContent(){
        return this.content;
    }
    public void setReply(String reply){
        this.reply = reply;
    }
    public String getReply(){
        return this.reply;
    }
    public void setCreate_time(int create_time){
        this.create_time = create_time;
    }
    public int getCreate_time(){
        return this.create_time;
    }
    public void setUpdate_time(int update_time){
        this.update_time = update_time;
    }
    public int getUpdate_time(){
        return this.update_time;
    }






    private ShowAll showAll;
    public ShowAll getShowAll() {
        if(showAll == null) {
            boolean hasExp = EmotionLayout.hasExp(content);
            showAll = new ShowAll(hasExp ? EmotionLayout.changeContent(content) : content);
            showAll.setHasExp(hasExp);
        }
        return showAll;
    }

    private ShowAll replyShowAll;
    public ShowAll getReplyShowAll() {
        if(replyShowAll == null) {
            boolean hasExp = EmotionLayout.hasExp(reply);
            replyShowAll = new ShowAll(hasExp ? EmotionLayout.changeContent(reply) : reply);
            replyShowAll.setHasExp(hasExp);
        }
        return replyShowAll;
    }
}
